From 19a11db2aadb872b14cad4ae35e7d63818d22d2f Mon Sep 17 00:00:00 2001
From: Fabrice Bellard <fabrice@bellard.org>
Date: Sun, 24 Aug 2003 18:16:16 +0000
Subject: [PATCH] exclude Duration field too

Originally committed as revision 2147 to svn://svn.ffmpeg.org/ffmpeg/trunk
---
 tests/regression.sh | 6 +++---
 1 file changed, 3 insertions(+), 3 deletions(-)

diff --git a/tests/regression.sh b/tests/regression.sh
index b15ff9a1efd..72ae9d0a9af 100755
--- a/tests/regression.sh
+++ b/tests/regression.sh
@@ -73,7 +73,7 @@ do_ffmpeg()
     shift
     echo $ffmpeg -y -bitexact -dct_algo 1 -idct_algo 2 $*
     $ffmpeg -y -bitexact -dct_algo 1 -idct_algo 2 -benchmark $* > $datadir/bench.tmp 2> /tmp/ffmpeg$$
-    egrep -v "^(Stream|Press|Input|Output|frame|  Stream)" /tmp/ffmpeg$$ || true
+    egrep -v "^(Stream|Press|Input|Output|frame|  Stream|  Duration)" /tmp/ffmpeg$$ || true
     rm -f /tmp/ffmpeg$$
     md5sum -b $f >> $logfile
     if [ $f = $raw_dst ] ; then
@@ -89,7 +89,7 @@ do_ffmpeg_crc()
     shift
     echo $ffmpeg -y -bitexact -dct_algo 1 -idct_algo 2 $* -f crc $datadir/ffmpeg.crc
     $ffmpeg -y -bitexact -dct_algo 1 -idct_algo 2 $* -f crc $datadir/ffmpeg.crc > /tmp/ffmpeg$$ 2>&1
-    egrep -v "^(Stream|Press|Input|Output|frame|  Stream)" /tmp/ffmpeg$$ || true
+    egrep -v "^(Stream|Press|Input|Output|frame|  Stream|  Duration)" /tmp/ffmpeg$$ || true
     rm -f /tmp/ffmpeg$$ 
     echo "$f `cat $datadir/ffmpeg.crc`" >> $logfile
 }
@@ -100,7 +100,7 @@ do_ffmpeg_nocheck()
     shift
     echo $ffmpeg -y -bitexact -dct_algo 1 -idct_algo 2 $*
     $ffmpeg -y -bitexact -dct_algo 1 -idct_algo 2 -benchmark $* > $datadir/bench.tmp 2> /tmp/ffmpeg$$
-    egrep -v "^(Stream|Press|Input|Output|frame|  Stream)" /tmp/ffmpeg$$ || true
+    egrep -v "^(Stream|Press|Input|Output|frame|  Stream|  Duration)" /tmp/ffmpeg$$ || true
     rm -f /tmp/ffmpeg$$
     expr "`cat $datadir/bench.tmp`" : '.*utime=\(.*s\)' > $datadir/bench2.tmp
     echo `cat $datadir/bench2.tmp` $f >> $benchfile
-- 
GitLab